      SUBROUTINE TestRoutine (TestInteger,ReturnInteger)

C       *****   Program to Test FORTRAN called SubRoutine   *****
C       *****                           Rev.  28-MAY-1991   *****


      IMPLICIT NONE
      INTEGER*4  TestInteger,ReturnInteger

      ReturnInteger = TestInteger * 2

      RETURN

      END
